Name:           jspeex
Version:        0.9.7
Release:        %mkrel 12
Summary:        Java Implementation of Speex

Group:          Development/Java
License:        BSD with advertising
URL:            http://jspeex.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.zip
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  ant
BuildRequires:  proguard
BuildRequires:  junit
  
Requires:       jpackage-utils
Requires:       java >= 1:1.6.0

%description
JSpeex is a Java port of the Speex speech Codec (Open Source/Free Software
patent-free audio compression format designed for speech). It provides both
the decoder and the encoder in pure Java, as well as a JavaSound SPI.

%package javadoc
Summary:        Java docs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}
# Make sure to remove any prebuilt jars and classes
find . \( -name '*.class' -o -name '*.jar' \) -exec rm -f '{}' \;
# Remove doc dir if it is already there
[ -d doc ] && rm -rf doc
# Fix wrong end of file encoding
sed -i 's|\r||g' License.txt README

%build
export CLASSPATH=$(build-classpath proguard junit)
%ant package javadoc


%install
install -Dpm 644 dist/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%files
%doc License.txt README
%{_javadir}/%{name}.jar

%files javadoc
%doc License.txt
%doc %{_javadocdir}/%{name}




%changelog
* Thu Mar 31 2022 umeabot <umeabot> 0.9.7-12.mga9
+ Revision: 1837469
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.7-11.mga8
+ Revision: 1491579
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.9.7-10.mga7
+ Revision: 1263605
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 0.9.7-8.mga6
+ Revision: 980835
- First rebuild of the java stack
- sync package jspeex with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 0.9.7-0.0.8.mga5
+ Revision: 795710
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-0.0.7.mga5
+ Revision: 745844
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-0.0.6.mga5
+ Revision: 680880
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.7-0.0.5.mga4
+ Revision: 506458
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.7-0.0.4.mga3
+ Revision: 355635
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 05 2011 grenoya <grenoya> 0.9.7-0.0.3.mga1
+ Revision: 64999
- imported package jspeex


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-0.0.3mdv2011.0
+ Revision: 619844
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.9.7-0.0.2mdv2010.0
+ Revision: 429649
- rebuild

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0.9.7-0.0.1mdv2009.0
+ Revision: 286739
- import jspeex


